public class TankMitDokumentation
{
    private int tankNummer;
    private int maxFuellstand;
    private int aktuellerFuellstand;
    
    public TankMitDokumentation(int nr, int maxF, int aktF) {
        tankNummer = nr;
        maxFuellstand = maxF;
        aktuellerFuellstand = aktF;
    }
    /** Die Methode zubuchen() addiert die angegebene Menge zum aktuellen
     * Füllstand.
     */      
    public void zubuchen (int menge) {
        aktuellerFuellstand = aktuellerFuellstand + menge;
    }
    /** Die Methode abbuchen() verringert den aktuellen Füllstand um die 
     * angegebene Menge.
     */
    public void abbuchen (int menge) {
        aktuellerFuellstand = aktuellerFuellstand - menge;
    }
   // Liefert den aktuellen Füllstand
    public int getFuellstand() {
        return aktuellerFuellstand;
    }
   /** Die Methode berechnet, wie viele Liter noch in den Tank eingefüllt 
    *  werden können. Ausgabe des Wertes innerhalb einer Zeichenkette.
    */
    public String getFreieKapazitaet () {
        int frei;
        frei = maxFuellstand - aktuellerFuellstand;
        return "Freie Kapazität " + frei + " Liter";
    }
}
  