# Sparkonto
# 0805_725
from datetime import *


class Sparkonto():

    def __init__(self, kontonr, inhaber, guthaben, zinsguthaben):
        self.kontonr = kontonr
        self.inhaber = inhaber
        self.guthaben = guthaben
        self.zins = zinsguthaben
        self.zinssatz = 3 / 100

    # Aufgabe 1
    def zeigeGuthabenZins(self):
        print(self.inhaber, format(self.guthaben, '10.2f'), format(self.zins, '10.2f'))

    def einzahlung(self, eingezahlterBetrag, datum):
        self.guthaben += eingezahlterBetrag
        self.zins += self.zinsenBerechnen(eingezahlterBetrag, datum)

    def abhebung(self, auszahlung, datum):
        if auszahlung <= self.guthaben:
            self.guthaben -= auszahlung
            self.zins -= self.zinsenBerechnen(auszahlung, datum)
        else:
            print("Du kannst nur  " + str(self.guthaben) + " abheben")

    def zinsenBerechnen(self, betrag, datum):
        tage = (date(2021, 12, 31) - datum).days
        return betrag * tage * self.zinssatz / 365

    def umbuchen(self, adresse, betrag, datum):
        self.abhebung(betrag, datum)
        adresse.einzahlung(betrag, datum)
        adresse.zeigeGuthabenZins()
        self.zeigeGuthabenZins()


# Hauptprogramm - main -
kd1 = Sparkonto(458, "Elisa", 510.45, 12.50)
kd2 = Sparkonto(459, "Franz", 680.33, 13.85)
kd3 = Sparkonto(857, "Elsa", 1875.50, 85.40)
kd1.zeigeGuthabenZins()
kd1.einzahlung(1000.00, date(2022, 2, 3))
kd1.zeigeGuthabenZins()
kd2.abhebung(500, date(2022, 2, 1))
kd2.zeigeGuthabenZins()
kd3.umbuchen(kd1, 75.5, date(2021, 10, 15))
