# 0805_734A2 nettolohnVererbung

class Mitarbeiter():
    steuersatz = 20
    sozialvers = 18

    def __init__(self, name, adresse):
        self.name = name
        self.adresse = adresse

    def prozentrechnung(self, gw, ps):
        return round(0.01 * gw * ps, 2)

    def berechneNettolohn(self):
        brutto = self.monatslohn
        steuer = Mitarbeiter.prozentrechnung(self, brutto, Mitarbeiter.steuersatz)
        sozver = Mitarbeiter.prozentrechnung(self, brutto, Mitarbeiter.sozialvers)
        netto = brutto - steuer - sozver
        print(self.name, self.adresse, '\n\t', str(brutto), '\n\t', str(steuer),
              '\n\t', str(sozver), '\n\t', str(netto))


class Arbeiter(Mitarbeiter):
    def __init__(self, name, adresse, lohnsatz):
        super().__init__(name, adresse)
        self.lohnsatz = lohnsatz

    def arbeitslohn(self, stunden):
        if stunden > 175:
            uebStunden = stunden - 175
            ueblohn = 1.15 * uebStunden * self.lohnsatz
            self.monatslohn = stunden * self.lohnsatz + ueblohn
        else:
            self.monatslohn = stunden * self.lohnsatz
        self.berechneNettolohn()


class Angestellte(Mitarbeiter):
    def __init__(self, name, adresse, monatslohn):
        super().__init__(name, adresse)
        self.monatslohn = monatslohn

    def arbeitslohn(self, pramie):
        self.monatslohn += pramie
        self.berechneNettolohn()


Ar1 = Arbeiter("Willi", "Essen", 20.0)
An1 = Angestellte("Cana", "Bochum", 3500.0)
An1.arbeitslohn(100)
Ar1.arbeitslohn(180)
