from tkinter import *


# 0805_831
class Stundenlohnfestsetzung:
    basislohn = 15.5

    def __init__(self):
        self.fenster = Tk()
        self.schmutz = DoubleVar()
        self.laerm = DoubleVar()
        self.gefahr = DoubleVar()
        self.stdLohn = DoubleVar()
        self.fenster.title("Lohnbestimmung")
        self.fenster.geometry('300x250+100+150')

        Label(self.fenster, text='    Basislohn gem. Tarif: 15.50 €     ').place(x=10, y=30)
        Checkbutton(self.fenster, text='+ Schmutzzulage   ', variable=self.schmutz).place(x=30, y=60)
        Checkbutton(self.fenster, text='+ Lärmzulage', variable=self.laerm).place(x=30, y=90)
        Checkbutton(self.fenster, text='+ Gefahrenzulagge  ', variable=self.gefahr).place(x=30, y=120)
        Button(self.fenster, text='   Berechnen   ', command=self.rechnung).place(x=30, y=150)
        Label(self.fenster, text='Der Stundenlohn wird festgesetzt auf:').place(x=10, y=180)
        Entry(self.fenster, textvariable=self.stdLohn, width=15).place(x=30, y=210)

        self.fenster.mainloop()

    def rechnung(self):
        zulage = 0
        if self.schmutz.get() == 1:
            zulage += 1.5
        if self.laerm.get() == 1:
            zulage += 1.5
        if self.gefahr.get() == 1:
            zulage += 2.5
        self.stdLohn.set(value=format(Stundenlohnfestsetzung.basislohn + zulage, '.2f') + ' Euro')


s = Stundenlohnfestsetzung()
