from tkinter import *
from tkinter import messagebox


# 0805_832
class radiobt_Vorsteuer:

    def __init__(self):

        self.fenster = Tk()
        self.brutto = StringVar()
        self.ust = StringVar()
        self.netto = StringVar()
        self.auswahl = StringVar()
        self.auswahl.set(19)
        self.fenster.title('VorsteuerRadiobutton')
        self.fenster.geometry('250x250+500+350')

        lab1 = Label(self.fenster, text='Bruttobetrag:')
        lab1.place(x=10, y=10)
        e1 = Entry(self.fenster, textvariable=self.brutto)
        e1.place(x=120, y=10, width=50, height=20)
        rb1 = Radiobutton(self.fenster, text='19 % Ust', variable=self.auswahl, value=19)
        rb1.place(x=100, y=50)
        rb2 = Radiobutton(self.fenster, text=' 7 % Ust', variable=self.auswahl, value=7)
        rb2.place(x=100, y=70)
        rb3 = Radiobutton(self.fenster, text=' 16 % Ust', variable=self.auswahl, value=16)
        rb3.place(x=100, y=90)
        bt = Button(self.fenster, text='Berechnen', command=self.rechnung)
        bt.place(x=100, y=120)
        lab3 = Label(self.fenster, text='Vorsteuer')
        lab3.place(x=10, y=150)
        e2 = Entry(self.fenster, textvariable=self.ust)
        e2.place(x=120, y=150, width=50)
        lab4 = Label(self.fenster, text='Nettobetrag')
        lab4.place(x=10, y=180)
        e3 = Entry(self.fenster, textvariable=self.netto)
        e3.place(x=120, y=180, width=50)

        self.fenster.mainloop()

    def rechnung(self):

        r_brutto = float(self.brutto.get())
        if r_brutto < 0:
            response = messagebox.showerror("Fehlermeldung:", "Bruttobetrag darf nicht negativ sein")
            if response == 'ok':
                self.brutto.set("")
        else:
            r_steuersatz = float(self.auswahl.get())
            r_netto = r_brutto / (1 + r_steuersatz * 0.01)
            r_steuer = format(r_brutto - r_netto, '8.2f')
            self.ust.set(r_steuer)
            self.netto.set(value=format(r_netto, '8.2f'))


rb = radiobt_Vorsteuer()
