# bankabrechnung
from OOP_Konto import Konto, bieneMayaKonto
from tkinter import *
  # 0805_86
class Kontoverwaltung():
    def __init__(self):

        self.fenster = Tk()
        self.fenster.title('Kontoverwaltung')
        self.fenster.geometry('400x300+100+150')
        self.kontonr = StringVar()
        self.kontostand = StringVar()
        self.betrag = StringVar()
        self.vorgang = StringVar()
        self.information = StringVar()
        self.vorgang.set('a')
        self.kontostand_neu = DoubleVar()
        self.gui_kontostand= DoubleVar()
        self.knr = Konto                        # Objekt vereinbaren
        k1 = Konto("k1", 1050)                  # Konten vereinbaren
        k2 = Konto("k2", 274.25)
        ki1=bieneMayaKonto("ki1", 220)
        print("zugelassene Konten: k1, k2, ki1")
        self.kontoliste = [k1, k2,ki1]
        h = 20  # Verschiebemass
        Label(self.fenster, text='Was möchten Sie tun?').place(x=30, y=10)
        rbe=Radiobutton(self.fenster, text="Einzahlen", variable=self.vorgang, value="e").place(x=10, y=30)
        rba=Radiobutton(self.fenster, text="Abheben", variable=self.vorgang, value="a").place(x=90, y=30)

        Label(self.fenster, text='Eingabe Kontonummer').place(x=10, y=50 + h)
        Entry(self.fenster, textvariable=self.kontonr).place(x=150, y=50 + h, width=80)
        Button(self.fenster, text="Bestätigen", command=self.kontoSuchen).place(x=240, y=50 + h)
        Label(self.fenster, text='Kontostand').place(x=10, y=70 + h)
        Entry(self.fenster, textvariable=self.kontostand).place(x=150, y=70 + h, width=80)
        self.kontostand.set("")
        Label(self.fenster, text='Betrag').place(x=10, y=90 + h)
        Entry(textvariable=self.betrag).place(x=150, y=90 + h, width=80)
        self.betrag.set("")
        Button(self.fenster, text='Ausführen', command=self.rechnung).place(x=130, y=120 + h)
        Label(self.fenster, text='Neuer Kontostand').place(x=10, y=170 + h)
        Entry(textvariable=self.kontostand_neu).place(x=150, y=170 + h, width=80)
        Label(self.fenster,text = 'Information').place(x=10,y=190 +h)
        Entry(textvariable=self.information).place(x=150,y=200+h, width=240)
        Button(self.fenster, text="Weiter", command=self.naechster).place(x=240, y=240 + h)


        self.fenster.mainloop()
    def naechster(self):
        self.information.set("")
        self.kontostand_neu.set("")
        self.betrag.set("")
        self.kontostand.set("")
        self.kontonr.set("")


    def rechnung(self):
        # Abhebung,Ausfuehrung nach Kommando Ausfuehren
        if self.vorgang.get() == "a":
            betr = float(self.betrag.get())
            kstand, bemerkung = self.knr.geld_abheben(betr)
            self.kontostand_neu.set(format(kstand,'.2f'))
            self.information.set(bemerkung)

        else:
            betr = float(self.betrag.get())
            kstand , bemerkung = self.knr.geld_einzahlen(betr)
            self.kontostand_neu.set(format(kstand,'.2f'))   # Anzeige in GUI
            self.information.set(bemerkung)

    def kontoSuchen(self):
        # Aufruf durch Kommando Bestätigen, Einlesen des Kontostandes
        gui_Konto = self.kontonr.get()
        zulaessigeKonten=[]
        for self.knr in self.kontoliste:
            zulaessigeKonten.append(self.knr.kontonummer)

        if gui_Konto in zulaessigeKonten:               # Prüfen, ob Kontonummer zulässig ist
            for self.knr in self.kontoliste:
                if gui_Konto == self.knr.kontonummer:
                    self.kontostand.set(self.knr.kontostand_anzeigen())
                    break
                else:
                    continue
        else:
            self.information.set("Kontonummer falsch")



if __name__ == '__main__':
    kv = Kontoverwaltung()


