#0805_95A2
import math
from tkinter import *
from tkinter import messagebox

class QuadratGleichung:

    def __init__(self):

        self.fenster = Tk()
        self.vara = StringVar()
        self.varb = StringVar()
        self.varc= StringVar()
        self.x1=DoubleVar()
        self.x2=DoubleVar()
        self.fenster.title('Quadratische Gleichung')
        self.fenster.geometry('250x250+500+350')

        lab1=Label(self.fenster,text='Eingabe für a:')
        lab1.place(x=10, y=10)
        e1=Entry(self.fenster,textvariable=self.vara)
        e1.place(x=100,y=10)
        lab2=Label(self.fenster,text='Eingabe für b:')
        lab2.place(x=10, y=30)
        e2=Entry(self.fenster, textvariable =self.varb)
        e2.place(x=100, y=30)
        lab3=Label(self.fenster,text='Eingabe für c:')
        lab3.place(x=10, y=50)
        e3=Entry(self.fenster,textvariable=self.varc)
        e3.place(x=100, y=50)
        lab4=Label(self.fenster,text='Lösung x1= :')
        lab4.place(x=10, y=100)
        e4=Entry(self.fenster,textvariable=self.x1)
        e4.place(x=100, y=100)
        lab5=Label(self.fenster,text='Lösung x2:')
        lab5.place(x=10, y=120)
        e5=Entry(self.fenster,textvariable=self.x2)
        e5.place(x=100,y=120)
        bt=Button(self.fenster, text='Berechnen',command=self.berechnen)
        bt.place(x=100,y=75)


        self.fenster.mainloop()

    def berechnen(self):
        try:
            a = float(self.vara.get())
            b = float(self.varb.get())
            c = float(self.varc.get())
            wurzel = math.sqrt(b**2-4*a*c)
            x1 = (-b+wurzel)/(2*a)
            x2 = (-b-wurzel)/(2*a)

            self.x1.set(x1)
            self.x2.set(x2)
        except:
            fehler = messagebox.showerror('Keine Lösung','kein rationale Lösung! ')
            self.varc.set('  ')
            self.varb.set('  ')
            self.vara.set(' ')
            self.x1.set('')
            self.x2.set('')
rb = QuadratGleichung()
