# 0805_1033_A3
from tkinter import *


class Angebotskalkulation:

    def __init__(self):

        self.fenster = Tk()
        self.kilometer = StringVar()
        self.angPreis = StringVar()
        self.auswahl = StringVar()
        self.auswahl.set('K-PY111')
        self.fenster.title('Angebotskalkulation')
        self.fenster.geometry('300x250+700+350')

        lab1 = Label(self.fenster, text='Anzahl Kilometer:')
        lab1.place(x=20, y=10)
        e1 = Entry(self.fenster, textvariable=self.kilometer)
        e1.place(x=120, y=10, width=70, height=20)

        rb1 = Radiobutton(self.fenster, text='K-PY111', variable=self.auswahl,
                          value='K-PY111')
        rb1.place(x=120, y=50)
        rb2 = Radiobutton(self.fenster, text='K-PY222', variable=self.auswahl,
                          value='K-PY222')
        rb2.place(x=120, y=70)
        rb3 = Radiobutton(self.fenster, text='K-PY333', variable=self.auswahl,
                          value='K-PY333')
        rb3.place(x=120, y=90)
        rb4 = Radiobutton(self.fenster, text='K-PY444', variable=self.auswahl,
                          value='K-PY444')
        rb4.place(x=120, y=110)
        rb5 = Radiobutton(self.fenster, text='K-PY555', variable=self.auswahl,
                          value='K-PY555')
        rb5.place(x=120, y=130)
        rb6 = Radiobutton(self.fenster, text='K-PY666', variable=self.auswahl,
                          value='K-PY666')
        rb6.place(x=120, y=150)
        bt = Button(self.fenster, text='Berechnen', command=self.berechnen)
        bt.place(x=100, y=180)
        lab4 = Label(self.fenster, text='Angebotspreis')
        lab4.place(x=10, y=210)
        e3 = Entry(self.fenster, textvariable=self.angPreis)
        e3.place(x=120, y=210, width=70)

        self.fenster.mainloop()

    def berechnen(self):

        db_kilometer = float(self.kilometer.get())
        autonr = self.auswahl.get()

        import sqlite3
        verbindung = sqlite3.connect("lkwMautAufgaben.db")
        c = verbindung.cursor()
        c.execute("SELECT lkwKz, schadklasse From lkw where lkwKz = ?",(autonr,))

        for zeile in c:
            ze = list(zeile)
            schad = ze[1]
        c.close()
        belastung = schad[0]
        persKosten = db_kilometer * 0.9
        if db_kilometer < 100:
            faPauschale = 10
        elif db_kilometer < 200:
            faPauschale = 25
        else:
            faPauschale = 40
        if belastung == '3':
            kraftstoff = round(0.30 * db_kilometer * 1.5, 2)
            gemeinKosten = round(kraftstoff * 0.4, 2)
        if belastung == '4':
            kraftstoff = round(0.40 * db_kilometer * 1.5, 2)
            gemeinKosten = round(kraftstoff * 0.5, 2)

        angebotsPreis = persKosten + faPauschale + kraftstoff + gemeinKosten
        self.angPreis.set(value=format(angebotsPreis, '.2f'))

ak = Angebotskalkulation()
