from tkinter import *


# 0805_radiobuttonversuch
class Bussgeldrechner:

    def __init__(self):

        self.fenster = Tk()
        self.punkte = StringVar()
        self.fahrverbot = StringVar()
        self.bussGeld = DoubleVar()
        self.zuschnell = IntVar()
        self.zuschnell.set(10)
        self.ort = StringVar()
        self.ort.set("i")
        self.fenster.title('Bussgeld')
        self.text = StringVar()
        self.fenster.geometry('400x350+100+150')

        Label(self.fenster, text='Auwahl Ort und Geschwindigkeit').place(x=30, y=10)
        Radiobutton(self.fenster, text="innerorts", variable=self.ort, value="i").place(x=50, y=30)
        Radiobutton(self.fenster, text="außerorts", variable=self.ort, value="a").place(x=130, y=30)

        Radiobutton(self.fenster, text='bis 10', variable=self.zuschnell, value=10).place(x=100, y=50)
        Radiobutton(self.fenster, text='bis 15', variable=self.zuschnell, value=15).place(x=100, y=70)
        Radiobutton(self.fenster, text='bis 20', variable=self.zuschnell, value=20).place(x=100, y=90)
        Radiobutton(self.fenster, text='bis 25', variable=self.zuschnell, value=25).place(x=100, y=110)
        Radiobutton(self.fenster, text='mehr als 25', variable=self.zuschnell, value=26).place(x=100, y=130)
        Button(self.fenster, text='Berechnen', command=self.rechnung).place(x=70, y=160)
        Entry(self.fenster, width=50, textvariable=self.text).place(x=30, y=230)
        Button(self.fenster, text='Weiter?', command=self.weiter).place(x=70, y=270)
        Button(self.fenster, text='Beenden', command=self.ende).place(x=150, y=270)
        self.fenster.mainloop()

    def rechnung(self):
        bussi = {10: 'Strafe: 30 €;  Punkte = 0; kein Fahrverbot',
                 15: 'Strafe: 50 €;  Punkte = 0; kein Fahrverbot',
                 20: 'Strafe: 70 €;  Punkte = 0; kein Fahrverbot',
                 25: 'Strafe: 115 €; Punkte = 1; kein Fahrverbot',
                 26: 'Strafe: 180 €; Punkte = 1; kein Fahrverbot'}
        bussa = {10: 'Strafe: 20 €; Punkte = 0; kein Fahrverbot',
                 15: 'Strafe: 40 €; Punkte = 0; kein Fahrverbot',
                 20: 'Strafe: 60 €; Punkte = 0; kein Fahrverbot',
                 25: 'Strafe: 100 €; Punkte = 1; kein Fahrverbot',
                 26: 'Strafe: 150 €; Punkte = 1; 1 Monat Fahrverbot'}

        m_ort = self.ort.get()
        m_schnell = self.zuschnell.get()
        if m_ort == "i":
            butext = bussi[m_schnell]
            self.text.set(butext)
        else:
            butext = bussi[m_schnell]
            self.text.set(butext)

    def weiter(self):
        self.text.set("")

    def ende(self):
        self.fenster.quit()


b = Bussgeldrechner()
