# Wiederholungsanweisung - Degressive Abschreibung
# 0805_515A6
def runden(zahl):
    return round(zahl, 2)


def ausgabe(j, a, b):
    print(format(j, '2.0f') + format(a, '14.2f') + format(b, '14.2f'))


def eingabe(bedingung, anweisungstext, fehlertext):
    while True:
        ein = float(input(anweisungstext))
        if ein < bedingung:
            print(fehlertext)
            continue
        else:
            break
    return ein


anschaffungswert = eingabe(0, "Anschaffungswert: ", "Anschaffungswert kann nicht negativ sein")
abschreibungssatz = float(input("Abschreibungssatz: "))
restwert = float(input("Restwert: "))
jahr = 1
abschreibung = runden(anschaffungswert * abschreibungssatz / 100)
buchwert = runden(anschaffungswert - abschreibung)
print("Jahr  Abschreibung   Buchwert")
print("-------------------------------")
while buchwert >= restwert:
    ausgabe(jahr, abschreibung, buchwert)
    abschreibung = runden(buchwert * abschreibungssatz / 100)
    buchwert = buchwert - abschreibung
    jahr += 1
ausgabe(jahr, buchwert + abschreibung - restwert, restwert)
