# Sparkonto
# 0805_724
from datetime import *


class Sparkonto():

    def __init__(self, kontonr, inhaber, guthaben, zinsguthaben):
        self.kontonr = kontonr
        self.inhaber = inhaber
        self.guthaben = guthaben
        self.zins = zinsguthaben
        self.zinssatz = 3 / 100

    # Aufgabe 1
    def zeigeGuthabenZins(self):
        print(self.inhaber, format(self.guthaben, '10.2f'), format(self.zins, '10.2f'))

    def einzahlung(self, eingezahlterBetrag, datum):
        self.guthaben += eingezahlterBetrag
        self.zins += self.zinsenBerechnen(eingezahlterBetrag, datum)

    def abhebung(self, auszahlung, datum):
        if auszahlung <= self.guthaben:
            self.guthaben -= auszahlung
            self.zins -= self.zinsenBerechnen(auszahlung, datum)
        else:
            print("Du kannst nur  " + str(self.guthaben) + " abheben")

    def zinsenBerechnen(self, betrag, datum):
        tage = (date(2021, 12, 31) - datum).days
        return betrag * tage * self.zinssatz / 365


# Hauptprogramm - main -
kd1 = Sparkonto(458, "Elsa", 510.45, 12.50)
kd2 = Sparkonto(459, "Fritz", 680.33, 13.85)
kd3 = Sparkonto(467, "Alissa", 1025.23, 89.41)
ktoNr = [kd1, kd2, kd3]
nr = int(input("Sparkonto 0,1 oder 2: "))
ktoNr[nr].zeigeGuthabenZins()
euro = float(input("Euro:"))
ktoNr[nr].einzahlung(euro, date.today())
ktoNr[nr].zeigeGuthabenZins()
