# 0805_727_UeberladenMethoden

from datetime import *


class Sparkonto():

    def __init__(self, kontonr, inhaber, guthaben, zinsguthaben):
        self.kontonr = kontonr
        self.inhaber = inhaber
        self.guthaben = guthaben
        self.zins = zinsguthaben
        self.zinssatz = 3 / 100

    #
    def zeigeGuthabenZins(self):
        print(self.inhaber, format(self.guthaben, '10.2f'), format(self.zins, '10.2f'))

    def einzahlung(self, eingezahlterBetrag, datum, dm=None):
        if dm is not None:
            eingezahlterBetrag /= 1.95583
        self.guthaben += eingezahlterBetrag
        self.zins += self.zinsenBerechnen(eingezahlterBetrag, datum)

    #
    def abhebung(self, auszahlung, datum):
        if auszahlung <= self.guthaben:
            self.guthaben -= auszahlung
            self.zins -= self.zinsenBerechnen(auszahlung, datum)
        else:
            print("Du kannst nur  " + str(self.guthaben) + " abheben")

    def zinsenBerechnen(self, betrag, datum):
        tage = (date(2021, 12, 31) - datum).days
        return betrag * tage * self.zinssatz / 365


# Hauptprogramm - main -
kd1 = Sparkonto(458, "Elisa", 510.45, 12.50)
kd2 = Sparkonto(459, "Franz", 680.33, 13.85)
kd1.zeigeGuthabenZins()
kd1.einzahlung(1000.00, date(2022, 2, 3))
kd1.zeigeGuthabenZins()
kd2.abhebung(500, date(2022, 2, 1))
kd2.zeigeGuthabenZins()
kd1.einzahlung(1955, date(2022, 2, 3), 1)
kd1.zeigeGuthabenZins()
