# Verwaltung Schmieröl-Lager
# Klassendefinition
# 0805_729A4
class Schmieroel:
    # Initialisierung / Konstruktor
    def __init__(self, artnr, maxbest, meldebest, istbest, preis):
        self.anr = artnr
        self.max = maxbest
        self.melde = meldebest
        self.ist = istbest
        self.preis = preis

    def zubuchen(self, stueck):
        self.ist += stueck

    def abbuchen(self, stueck):
        self.ist -= stueck

    def nachkauf(self):
        print("Mögliche Nachkaufmenge: " + str(self.anr) + "  " + str(self.max - self.ist))

    def nachbestellung(self):
        if self.ist < self.melde:
            print("Artikelnummer: " + str(self.anr) + " Meldedbestand unterschritten.")

    def berechneVerkaufspreis(self, menge):
        vkPreis = menge * self.preis
        if menge > 3:
            vkPreis *= 0.97
        print("Verkaufspreis = " + format(vkPreis, '.2f'))


h1 = Schmieroel(10058, 45, 25, 8, 2560.0)
h2 = Schmieroel(50263, 40, 37, 10, 1300.00)
gt = Schmieroel(36251, 60, 40, 5, 985.00)
mt = Schmieroel(25143, 40, 8, 10, 1085.00)
h1.berechneVerkaufspreis(4)
gt.nachbestellung()
mt.nachkauf()
