# 0805_734A3
class KFZ:
    def __init__(self, fahrer):
        self.fahrer = fahrer

    def fahrpreis(self, km, kmpPreis):
        return km * kmpPreis


class Dienst(KFZ):
    def __init__(self, fahrer):
        self.fahrer = fahrer
        super().__init__(fahrer)

    def fahrtkosten(self, kilometer):
        kalkKosten = KFZ.fahrpreis(self, kilometer, 3.5)
        print("Kalkulatorische Kosten: ", format(kalkKosten, '.2f'), self.fahrer)


class Privat(KFZ):
    def __init__(self, fahrer):
        self.fahrer = fahrer
        super().__init__(fahrer)

    def fahrtkosten(self, kilometer, liter):
        kosten = KFZ.fahrpreis(self, kilometer, 0.30)
        benz = liter * 1.45
        print("Kosten insgesamt: ", format(kosten + benz, '.2f'), self.fahrer)


d1 = Dienst("Mueller")
p1 = Privat("Torsten")
d1.fahrtkosten(200)
p1.fahrtkosten(400, 20)
