from tkinter import *


# 0805_821
class Vorsteuerberechnung:
    ustSatz = 0.07

    def __init__(self):
        self.fenster = Tk()
        self.brutto = DoubleVar()
        self.ust = DoubleVar()
        self.netto = DoubleVar()
        self.fenster.title('Vorsteuerberechnung')
        self.fenster.geometry('300x150+100+150')

        Label(self.fenster, text='Eingabe Bruttobetrag').place(x=10, y=10)
        Entry(self.fenster, textvariable=self.brutto).place(x=150, y=10, width=80)
        Button(self.fenster, text='Berechnen', command=self.rechnung).place(x=150, y=50)
        Label(self.fenster, text='Vorsteuer').place(x=10, y=80)
        Entry(self.fenster, textvariable=self.ust).place(x=150, y=80, width=80)
        Label(self.fenster, text='Nettobetrag').place(x=10, y=110)
        Entry(textvariable=self.netto).place(x=150, y=110, width=80)

        self.fenster.mainloop()

    def rechnung(self):
        r_brutto = self.brutto.get()
        r_netto = r_brutto / (1 + Vorsteuerberechnung.ustSatz)
        r_steuer = format(r_brutto - r_netto, '.2f')
        self.ust.set(r_steuer)
        self.netto.set(value=format(r_netto, '.2f'))


u = Vorsteuerberechnung()
