from tkinter import *
from tkinter import ttk


# 0805_833
class Transportkosten:
    def __init__(self):
        self.fs = Tk()
        self.km = DoubleVar()
        self.anzahl = DoubleVar()
        self.transportPreis = DoubleVar()
        self.fs.title("Transportpreis")
        self.fs.geometry('300x150+100+150')

        l1 = Label(self.fs, text='Eingabe Anzahl Fässer').place(x=10, y=10)
        e1 = Entry(self.fs, textvariable=self.anzahl).place(x=150, y=10, width=50)
        self.anzahl.set('')
        self.cbo = ttk.Combobox(self.fs,
                                values=["Aachen,120", "Bielefeld,120", "Essen,30", "Hamm,75", "Kassel,200"])
        self.cbo.place(x=100, y=40, width=100)
        self.cbo.current(0)
        self.cbo.bind("<<ComboboxSelected>>", self.auswahl)
        l2 = Label(self.fs, text="Kilometer").place(x=10, y=80)
        e2 = Entry(self.fs, textvariable=self.km).place(x=150, y=80, width=50)
        l3 = Label(self.fs, text="Transportpreis").place(x=10, y=100)
        e3 = Entry(self.fs, textvariable=self.transportPreis)
        e3.place(x=150, y=100, width=50)

        self.fs.mainloop()

    def auswahl(self, event):
        ort = self.cbo.get()
        x_ort = ort.split(',')
        z_km = x_ort[1]
        self.km.set(z_km)
        gew = self.anzahl.get() * .092
        preis = float(z_km) * float(gew) * 1.5
        self.transportPreis.set(value=format(preis, '.2f'))


tko = Transportkosten()
