from tkinter import *
from tkinter import messagebox
from datetime import date


# 0805_835
class Terminvergabe:

    def __init__(self):
        self.ws = Tk()
        self.ws.title('Terminvergabe')
        self.ws.geometry('400x300')
        self.terminVorschlag = StringVar()
        self.terminEndgueltig = StringVar()

        Label(self.ws, text='Terminvorschlag:').place(x=50, y=20)
        Label(self.ws, text='Endgültiger Termin:').place(x=50, y=100)
        e1 = Entry(self.ws, textvariable=self.terminVorschlag)
        e1.place(x=180, y=20)
        self.terminVorschlag.set(date.today())
        e2 = Entry(self.ws, textvariable=self.terminEndgueltig)
        e2.place(x=180, y=100)

        btn1 = Button(self.ws, text='Übernehmen?', command=self.askQuestion)
        btn1.place(x=180, y=50)

        btn2 = Button(self.ws, text='Schluss machen', command=self.askYesNo)
        btn2.place(x=180, y=150)

        self.ws.mainloop()

    def askQuestion(self):
        reply = messagebox.askyesno('Bestätigung', 'Datum übernehmen')
        if reply == True:
            messagebox.showinfo('Gut', 'Datum wird übernommen!')
            b_datum = self.terminVorschlag.get()
            self.terminEndgueltig.set(b_datum)
        else:
            messagebox.showinfo('Änderung', 'Gib einen neuen Terminvorschlag ein!')
            self.terminVorschlag.set("  ")

    def askYesNo(self):
        reply = messagebox.askyesno('Nachfrage', 'Willst du Programm beenden?')
        if reply == True:
            messagebox.showinfo('Schluss', 'Ende des Programms')
            self.ws.destroy()
        else:
            messagebox.showinfo('', 'Gut, dass du weitermachst!')


t = Terminvergabe()
